Submit deposit proof
Attach a deposit transaction to a quote when automatic detection missed it. Returns the existing order if one exists.
POST
/
v1
/
orchestration
/
submit
Submit deposit proof
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/orchestration/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"quoteId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({quoteId: '<string>'})
};
fetch('https://orchestration.flashnet.xyz/v1/orchestration/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/orchestration/submit"
payload = { "quoteId": "<string>" }
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"orderId": "ord_b91bbf90-42dc-4fe3-9b15-1d2c7e19cce6",
"status": "confirming"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Headers
Minimum string length:
1Body
application/json
Source-specific deposit references; unknown top-level fields are ignored.
Minimum string length:
1Source transaction reference; native Hedera transfers require their native transaction ID.
Minimum string length:
1Expected source-chain sender; a verified mismatch pauses the order for review.
Minimum string length:
1Minimum string length:
1Expected Spark sender address; sanctioned addresses are rejected.
Minimum string length:
1Minimum string length:
1Required range:
x >= 0Minimum string length:
1Was this page helpful?
⌘I
Submit deposit proof
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/orchestration/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"quoteId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({quoteId: '<string>'})
};
fetch('https://orchestration.flashnet.xyz/v1/orchestration/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/orchestration/submit"
payload = { "quoteId": "<string>" }
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"orderId": "ord_b91bbf90-42dc-4fe3-9b15-1d2c7e19cce6",
"status": "confirming"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}